<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      .password-form {
        display: flex;
        flex-direction: column;
      }
      .input-wrapper {
        position: relative;
				width: intrinsic;       
			  width: -moz-max-content;   
  			width: -webkit-max-content;
      }

      .input-wrapper input {
        min-width: 120px;
        padding: 10px;
        margin-bottom: 24px;
      }

      .input-wrapper i {
        position: absolute;
        right: 10px;
        top: 12px;
        color: grey;
      }

			.btn{
				width: 150px;
			}

    </style>
  </head>
  <body>
    <form class="password-form" action="#" type="POST">
        <label class="input-wrapper">
            Ввести пароль
            <input id="password" type="password"/>
            <i class="fas fa-eye icon-password"></i>
        </label>
        <label class="input-wrapper">
            Подтвердить пароль
            <input id="password-repeat" type="password"/>
            <i class="fas fa-eye-slash icon-password"></i>
        </label>
        <button type="submit" class="btn">Подтвердить</button>
    </form>
  </body>

  <script>
      let form = document.querySelector('.password-form');
      let password = form.querySelector('#password');
      let passwordRepeat = form.querySelector('#password-repeat');
      let span = document.createElement('span');


      form.addEventListener('click', function (event) {
          if(event.target.matches('.icon-password')) {

              if(event.target.classList.contains('fa-eye')) {
                  event.target.classList.replace('fa-eye', 'fa-eye-slash');
                  event.target.previousElementSibling.setAttribute('type','password');
              } else {
                  event.target.classList.replace('fa-eye-slash', 'fa-eye');
                  event.target.previousElementSibling.setAttribute('type','text');
              }
          }
      });

      form.addEventListener('submit', function(event) {
          event.preventDefault();
          if (password.value === passwordRepeat.value ) {
              if(span.parentNode) {
                  span.parentNode.removeChild(span);
              }
              alert(`You are welcome`);
          } else {
              span.textContent = `Нужно ввести одинаковые значения`;
              span.style.color = 'red';
              form.querySelector('.btn').before(span);
          }
      })

  </script>
</html>
